Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: 6.0.1 to 6.0.2 went badly, on a test machine

  1. #1
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default 6.0.1 to 6.0.2 went badly, on a test machine

    I was playing on my test server and ran an upgrade. When the server started up, the user side of the web interface seems broken. The Login screen and standard mode work, the advanced mode never starts, the client gets stuck on loading screen.

    mailbox.log shows:

    2009-10-22 16:11:29,650 INFO [main] [] StatsImageServlet - Servlet StatsImageServlet starting up
    2009-10-22 16:11:29,715 WARN [main] [] log - No value for env-entry-name trustedIPs
    2009-10-22 16:11:29,734 INFO [main] [] log - No Transaction manager found - if your webapp requires one, please configure one.
    2009-10-22 16:11:30,078 WARN [main] [] log - No value for env-entry-name trustedIPs
    2009-10-22 16:11:30,080 INFO [main] [] log - No Transaction manager found - if your webapp requires one, please configure one.
    2009-10-22 16:11:30,423 INFO [main] [] log - No Transaction manager found - if your webapp requires one, please configure one.


    I'm still looking around, and being a test machine not really critical, but if anyone has any ideas let me know

  2. #2
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default

    No luck so far. Tried all sorts of thing, running the update again, etc, etc,.

  3. #3
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default

    nginx complaining:

    2009/10/22 17:45:44 [crit] 2396#0: *72 open() "/opt/zimbra/nginx-0.5.37-zimbra/proxy_temp/1/00/0000000001" failed (13: Permission denied) while reading upstream
    , client: 192.168.216.191, server: zimtest.rutgers.edu, request: "GET /zimbra/res/I18nMsg,AjxMsg,ZMsg,ZmMsg,AjxKeys,ZmKeys,ZdMsg,Ajx TemplateMsg.js.zgz?v=0910201
    50430&skin=bare HTTP/1.1", upstream: "http://192.168.170.50:8080/zimbra/res/I18nMsg,AjxMsg,ZMsg,ZmMsg,AjxKeys,ZmKeys,ZdMsg,Ajx TemplateMsg.js.zgz?v=091020150430&
    skin=bare", host: "zimtest.rutgers.edu", referrer: "https://zimtest.rutgers.edu/zimbra/"

  4. #4
    Join Date
    May 2008
    Posts
    432
    Rep Power
    7

    Default

    Do you need nginx (proxy). If not, try disabling it.

  5. #5
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default

    My production servers do, so I need to make sure it works. In any case, I've disabled it to narrow the problem but that wasn't it.

  6. #6
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    25

    Default

    Anything additional in /var/log/zimbra.log ?

  7. #7
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default

    Not really. But I've changed the owner of /opt/zimbra/nginx-0.5.37-zimbra/proxy_temp* to zimbra, which made the nginx errors go away. Then I had to clear my browser before it started working.

    So .. I guess it works now, but I have no idea why this went so poorly compared with previous upgrades.

  8. #8
    Join Date
    May 2006
    Location
    England.
    Posts
    927
    Rep Power
    10

    Default

    So far, the upgrades I've done are:
    5.16 to 6.0.1,
    5.18 to 6.0 and
    6.0 to 6.0.2

    None of which match your situation exactly. I did have to redeploy the commercial certificates to make the first one (516>601) work properly, but I dont think that's your problem.

    Check your install log, grep for any error during install?

  9. #9
    Join Date
    Aug 2007
    Posts
    220
    Rep Power
    8

    Default

    Saddly I can't look at them now, I bounced the machine at some point. To be fair, this install started with a RC1 updated to 6.0.1 and then to 6.0.2. Its entierly possible this had some RC1 history that wasn't happy. I'll worry more about this when I do a the test I really care about, namely 5.0.16 to 6.0.2 which is what I'm going to have to do to my production server.

  10. #10
    Join Date
    Jun 2009
    Posts
    195
    Rep Power
    6

    Default

    Can Someone clarify to me the steps to take in upgrading to another version. I have never done an upgrade, and I am scared to do an upgrade. I have version 6.0.1 and will like to move to the latest version. I need tips on what to keep in mind and what changes I should be expecting after the upgrade. Thanks.

Similar Threads

  1. Zimbra Samba ext - no machine accounts
    By mainframe in forum Administrators
    Replies: 5
    Last Post: 11-29-2009, 03:30 AM
  2. Upgrade From 6.0.1 to 6.0.2
    By Tripple in forum Zimbra Success Stories
    Replies: 3
    Last Post: 10-24-2009, 12:40 PM
  3. Error: Generic Test Failure
    By handband2 in forum Administrators
    Replies: 0
    Last Post: 08-08-2008, 10:16 AM
  4. Fedora 5: Could not create the Java virtual machine
    By mi2enno in forum Installation
    Replies: 6
    Last Post: 06-01-2007, 04:16 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •